"{ Package: 'stx:libcomp' }"

LibraryDefinition subclass:#stx_libcomp
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'* Projects *'
!


!stx_libcomp class methodsFor:'description'!

classNamesAndAttributes
    ^ #(
        "/ <className> or (<className> attributes...)
        'AssignmentNode'
        'BinaryNode'
        'BlockNode'
        'ByteCodeCompiler'
        'CascadeNode'
        ('CodeStream' #auto)
        'CompilationErrorHandler'
        'ConstantNode'
        'Decompiler'
        'Explainer'
        'ImmutableArray'
        'ImmutableString'
        'LazyMethod'
        'MessageNode'
        ('MethodNode' #auto)
        ('NullScope' #auto)
        'ObjectFileHandle'
        'ObjectFileLoader'
        ('OldParserTest' #auto)
        ('ParameterNode' #auto)
        'ParseErrorNode'
        'ParseNode'
        'Parser'
        'ParserFlags'
        'PrimaryNode'
        'PrimitiveNode'
        'ProgramNode'
        'ProgramNodeBuilder'
        'ProgramNodeEnumerator'
        ('Reference' #auto)
        'ReturnNode'
        'STCCompilerInterface'
        'Scanner'
        'SelfNode'
        'SourceFileLoader'
        'StatementNode'
        'Structure'
        'SuperNode'
        'Switch'
        ('SyntaxError' #auto)
        'SyntaxHighlighter'
        'UnaryNode'
        'UndefinedVariable'
        'Variable'
        'VariableNode'
        'WarningCompilationErrorHandler'
        'stx_libcomp'
    )
!

extensionMethodNames
    ^ #(
    )
! !

!stx_libcomp class methodsFor:'description - project information'!

companyName
    "Return a companyname which will appear in <lib>.rc"

    ^ 'eXept Software AG'
!

description
    "Return a description string which will appear in nt.def / bc.def"

    ^ 'Smalltalk/X Class library'
!

legalCopyright
    "Return copyright string which will appear in <lib>.rc"

    ^ 'Copyright eXept Software AG 1998-2006'
!

productName
    "Return a product name which will appear in <lib>.rc"

    ^ 'Smalltalk/X'
! !

!stx_libcomp class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libcomp/stx_libcomp.st,v 1.2 2006-08-21 15:22:25 cg Exp $'
! !
